Namespace: webdriver.until
View Source

# class Condition<OUT>

final struct

Defines a condition to

## new Condition(message, fn)

Parameters

message`string`

  A descriptive error message. Should complete the sentence "Waiting [...]"

fn`function(webdriver.WebDriver): OUT`

  The condition function to evaluate on each iteration of the wait loop.

## Instance Methods

### description()code »

Returns

`string`

  A description of this condition.

### fn(arg0)code »

Parameters

arg0`webdriver.WebDriver`

Returns

`OUT`